"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasMagic = void 0;
const glob_js_1 = require("./glob.js");
/**
 * Return true if the patterns provided contain any magic
 * glob characters.
 */
const hasMagic = (pattern, options = {}) => {
    if (!Array.isArray(pattern)) {
        pattern = [pattern];
    }
    const g = new glob_js_1.Glob(pattern, options);
    return g.patterns.length === 0
        ? false
        : g.patterns.some(p => p.hasMagic());
};
exports.hasMagic = hasMagic;
//# sourceMappingURL=has-magic.js.map